Energia

## micros()

#### Description

Returns the number of microseconds since the LaunchPad board began running the current program. This number will overflow (go back to zero), after approximately 70 minutes.

Note: there are 1,000 microseconds in a millisecond and 1,000,000 microseconds in a second.

#### Parameters

None

#### Returns

Number of microseconds since the program started (unsigned long)

#### Example

    unsigned long time;

    void setup(){
      Serial.begin(9600);
    }
    void loop(){
      Serial.print("Time: ");
      time = micros();
      //prints time since program started
      Serial.println(time);
      // wait a second so as not to send massive amounts of data
      delay(1000);
    }

#### See also

- millis()
- delay()
- delayMicroseconds()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia Reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes